Bug 196921 - 2.6.17-1.2139_FC5 issues with ATI display
2.6.17-1.2139_FC5 issues with ATI display
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 197346 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-27 13:15 EDT by Shannon Hughes
Modified: 2015-01-04 17:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:08:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shannon Hughes 2006-06-27 13:15:43 EDT
Description of problem:

After updating to 2.6.17-1.2139_FC5 I am noticing some issues with my ATI 9800
pro card. Not sure if the xorg ati driver needs updating or not but including my
message log below:

Jun 26 21:07:29 localhost kernel: [drm] Initialized radeon 1.24.0 20060225 on
minor 0
Jun 26 21:07:29 localhost kernel: agpgart: Found an AGP 3.5 compliant device at
0000:00:00.0.
Jun 26 21:07:29 localhost kernel: agpgart: Badness. Don't know which AGP mode to
set. [bridge_agpstat:1f000a0a vga_agpstat:ff00021b fell back to:-
bridge_agpstat:1f000208 vga_agpstat:ff00021b]
Jun 26 21:07:29 localhost kernel: agpgart: Bridge couldn't do AGP x4.
Jun 26 21:07:29 localhost kernel: agpgart: Putting AGP V3 device at 0000:00:00.0
into 0x mode
Jun 26 21:07:29 localhost kernel: agpgart: Putting AGP V3 device at 0000:01:00.0
into 0x mode
Jun 26 21:07:29 localhost kernel: [drm] Setting GART location based on old
memory map
Jun 26 21:07:29 localhost kernel: [drm] Loading R300 Microcode
Jun 26 21:07:29 localhost kernel: [drm] writeback test failed


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Shannon Hughes 2006-07-06 07:12:13 EDT
same issue with the 2.6.17-1.2145_FC5 kernel, however if I change my AGP mode to
4x from 8x in my bios I get a successful boot. 
Comment 2 Shannon Hughes 2006-07-23 21:04:14 EDT
same issue with 2.6.17-1.2157_FC5, 

Jul 23 21:05:54 localhost kernel: agpgart: Found an AGP 3.5 compliant device at
0000:00:00.0.
Jul 23 21:05:54 localhost kernel: agpgart: Badness. Don't know which AGP mode to
set. [bridge_agpstat:1f000a0a vga_agpstat:ff00021b fell back to:-
bridge_agpstat:1f000208 vga_agpstat:ff00021b]
Jul 23 21:05:54 localhost kernel: agpgart: Bridge couldn't do AGP x4.
Jul 23 21:05:54 localhost kernel: agpgart: Putting AGP V3 device at 0000:00:00.0
into 0x mode
Jul 23 21:05:54 localhost kernel: agpgart: Putting AGP V3 device at 0000:01:00.0
into 0x mode
Jul 23 21:05:54 localhost kernel: [drm] Setting GART location based on new
memory map
Jul 23 21:05:54 localhost kernel: [drm] Loading R300 Microcode
Jul 23 21:05:54 localhost kernel: [drm] writeback test failed

Comment 3 Shannon Hughes 2006-07-26 10:48:40 EDT
bumping up sev to high per bbrock recommendation
Comment 4 Dave Jones 2006-09-10 21:13:36 EDT
*** Bug 197346 has been marked as a duplicate of this bug. ***
Comment 5 Dave Jones 2006-09-10 21:24:03 EDT
I think I've just got to the bottom of this. I've rewritten a bunch of this code
upstream, but I want it to survive a trip through Andrew's -mm tree before it
goes into the Fedora kernel, as this is core code that affects every AGP driver.

Comment 6 Steve 2006-09-20 23:24:03 EDT
for me DRM won't load if i use a Fedora kernel. I use my own custom config and
compile my own kernel, and i build in dri driver for my ATI X300 mobility on
Dell Inspiron 9300 and it will load, full support doesn't seem complete though
as i tried a 3d game - UT2004 and it loaded but was slow and nearly unresponsive.
Comment 7 Alex W. Jackson 2006-10-15 00:01:28 EDT
I think this is actually a (trivial) bug in xorg-x11-drv-ati, not a kernel bug
at all.  Look at this code in xf86-video-ati-6.5.8.0/src/radeon_dri.c:

if ((mode & RADEON_AGPv3_MODE) &&
	(INREG(RADEON_AGP_STATUS) & RADEON_AGPv3_MODE)) {
	switch (info->agpMode) {
	case 8:          mode |= RADEON_AGPv3_8X_MODE;
	case 4: default: mode |= RADEON_AGPv3_4X_MODE;

mode |= RADEON_AGPv3_8X_MODE; should have a break; after it, otherwise it sets
*both* RADEON_AGPv3_8X_MODE and RADEON_AGPv3_4X_MODE, which isn't good.
Comment 8 Dave Jones 2006-10-16 20:43:58 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 9 Dave Jones 2006-11-24 18:08:39 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.